void setup(){
  
  frameRate(1);
  size(800, 800); // (width, height)
  smooth();
  background(255);
  randomSeed(0);
  
}


void draw(){
  
  if (mousePressed){
    drawGrid();
    strokeCap(SQUARE);
    strokeWeight(6);
    stroke(255, 0, 0); //red
    //top left to bottom right
    line ( 80*0, 80*0, 80*6, 80*6 );
    line ( 80*0, 80*2, 80*5, 80*7 );
    line ( 80*0, 80*4, 80*4, 80*8 );
    line ( 80*0, 80*6, 80*3, 80*9 );
    line ( 80*0, 80*8, 80*2, 80*10 );
    //mid left to top right
    stroke(255, 255, 0);//yellow
    line ( 80*5, 80*1, 80*6, 80*0 );
    line ( 80*6, 80*2, 80*8, 80*0 );
    line ( 80*7, 80*3, 80*10, 80*0 );
    //bottom right to mid right
    stroke(0, 0, 255); //blue
    line ( 80*7, 80*9, 80*10, 80*6 );
    line ( 80*8, 80*10, 80*10, 80*8 );
  } 
  
  else{  
    drawGrid();
    strokeCap(SQUARE);
    stroke(0);
    strokeWeight(6);
    //top left to bottom right
    line ( 80*0, 80*0, 80*6, 80*6 );
    line ( 80*0, 80*2, 80*5, 80*7 );
    line ( 80*0, 80*4, 80*4, 80*8 );
    line ( 80*0, 80*6, 80*3, 80*9 );
    line ( 80*0, 80*8, 80*2, 80*10 );
    //mid left to top right
    line ( 80*5, 80*1, 80*6, 80*0 );
    line ( 80*6, 80*2, 80*8, 80*0 );
    line ( 80*7, 80*3, 80*10, 80*0 );
    //bottom right to mid right
    line ( 80*7, 80*9, 80*10, 80*6 );
    line ( 80*8, 80*10, 80*10, 80*8 );
    }
}

void drawGrid(){
  //println( "in draw grid funciton");
  //adds texture to background
  for (int i = 0; i < 800; i++) {
    for (int j = 0; j < 800; j++) {  
      float r = random(215, 245);
      stroke(r);
      point(i, j);
    }
  }
  
  strokeWeight(0.5);
  stroke(70);
  // line ( x1, y1, x2, y2);
  for (int i = 80; i < 800; i = i + 80){
    line(i, 0, i, 800);
    line(0, i, 800, i);
  }
  
  /* //Grid
  strokeWeight(1);
  line ( 80*8, 0, 800, 80*2 );
  line ( 80*6, 0, 800, 80*4 );
  line ( 80*4, 0, 800, 80*6 );
  line ( 80*2, 0, 800, 80*8 );
  line ( 80*0, 0, 800, 80*10 );
  line ( 0, 80*0, 80*10, 800 );
  line ( 0, 80*2, 80*8, 800 );
  line ( 0, 80*4, 80*6, 800 );
  line ( 0, 80*6, 80*4, 800 );
  line ( 0, 80*8, 80*2, 800 );*/
  
  randomSeed(0);
  //horizontal and vertical lines
  for (int a = 0; a < 12; a = a + 2){
    int b = 10 - a;
    stroke(80);
    float r2 = random(0, 2.0);
    strokeWeight(r2);
    line( 80 * a, 0, 800, 80 * b);
    //println("loop1: a is " + a + " b is " + b);
    line( 0, 80 * a, 80 * b, 800 );
  }
  
  //diagonal lines
  for (int b = 10; b > 0; b = b - 2){
    int a = 10 - b;
    stroke(155);
    line( 80*a, 0, 0, 80*a );
    line( 80*a,800, 800, 80*a );
  }
  
  stroke(25);
  strokeWeight(113);
  strokeCap(PROJECT);
  line ( 80*3, 800, 800, 80*3 );
  line ( 80*3, 0, 80*8, 80*5 );
  line ( 80*5, 80 * 8, 80 * 7, 80 * 10 );
  
  //white lines to seperate thick black
  stroke(255);
  strokeWeight(1);
  line ( 80*2, 800, 80*10, 80*2 );
  line ( 80*4, 800, 80*10, 80*4 );
  }
